using System;
using System.Threading;
using System.Security;
using System.Security.Principal;  

namespace PrikladyZive75
{
    public class RoleBaseSecurityExample
    {
        public static void IsInRoleTest()
        {
            //nastavime politiku vazani identity
            AppDomain.CurrentDomain.SetPrincipalPolicy(PrincipalPolicy.WindowsPrincipal);
            
            //ziskame objekt predstavujici uzivatele
            IPrincipal principal = Thread.CurrentPrincipal;
            //zjistime jestli je obsazen v roli Administrator
            bool isAdmin = principal.IsInRole("Administrator");

            if (isAdmin)
            {
                Console.WriteLine("Uzivatel je obsazen v roli Administrator");
            }
            else
            {
                Console.WriteLine("Uzivatel neni obsazen v roli Administrator");
            }
        }
    }
}
